# $Revision: 1.22 $, $Date: 2012/03/03 16:48:48 $
Summary:	A graphical interface for modifying the keyboard
Summary(pl.UTF-8):	Graficzny interfejs do zmiany klawiatury
Name:		system-config-keyboard
Version:	1.3.1
Release:	1
License:	GPL v2+
Group:		Base
Source0:	https://fedorahosted.org/releases/s/y/system-config-keyboard/%{name}-%{version}.tar.gz
# Source0-md5:	012b1aec6d237f853bea6824e71d19ed
Patch0:		s-c-keyboard-do_not_remove_the_OK_button.patch
Patch1:		sck-1.3.1-no-pyxf86config.patch
Patch2:		kbdconf.patch
Patch3:		parse-config.patch
URL:		https://fedorahosted.org/system-config-keyboard/
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	firstboot >= 1.99
Requires:	gtk+2 >= 2:2.6
Requires:	python >= 1:2.0
Requires:	usermode >= 1.108
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
system-config-keyboard is a graphical user interface that allows the
user to change the default keyboard of the system.

%description -l pl.UTF-8
system-config-keyboard to graficzny interfejs użytkownika
umożliwiający użytkownikowi zmianę domyślnej klawiatury w systemie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTROOT=$RPM_BUILD_ROOT


desktop-file-install --vendor system --delete-original \
	--dir $RPM_BUILD_ROOT%{_desktopdir} \
	--add-category Application \
	--add-category System \
	$RPM_BUILD_ROOT%{_desktopdir}/system-config-keyboard.desktop

sed -i 's/\.py/.pyc/' $RPM_BUILD_ROOT%{_sbindir}/system-config-keyboard

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_postclean %{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.apps/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py[co]
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/%{name}.png
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%dir %{_datadir}/firstboot
%dir %{_datadir}/firstboot/modules
%{_datadir}/firstboot/modules/*.py

# python-%{name}
%dir %{py_sitescriptdir}/system_config_keyboard
%{py_sitescriptdir}/system_config_keyboard/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-config-keyboard.spec,v $
Revision 1.22  2012/03/03 16:48:48  glen
- cleanup rhpl dep

Revision 1.21  2012/03/03 16:47:03  glen
- fix parsing config if it contains other than key=value pairs

Revision 1.20  2012/03/03 16:46:13  glen
- process proper file for keyboard layouts

Revision 1.19  2012/03/03 15:20:43  glen
- python-xf86config is out

Revision 1.18  2012/03/03 15:15:31  glen
- up to 1.3.1

Revision 1.17  2011/02/04 18:24:04  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.16  2009/03/19 13:07:33  shadzik
- rel up

Revision 1.15  2008/10/14 06:43:37  arekm
- release 5

Revision 1.14  2008/10/03 18:05:38  arekm
- release 4

Revision 1.13  2008/09/19 22:53:25  qboosh
- sed 4

Revision 1.12  2008/09/19 22:22:34  patrys
- use .pyc not .py
- rel 3

Revision 1.11  2008/09/15 23:52:23  patrys
- update hicolor

Revision 1.10  2008/08/29 15:29:32  qboosh
- updated URL

Revision 1.9  2008/08/29 11:52:04  patrys
- 1.2.15

Revision 1.8  2007/06/12 06:01:48  spider
- url fix

Revision 1.7  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.5  2006/09/28 00:00:04  glen
- no consolehelper on pld

Revision 1.4  2006/06/11 18:36:31  qboosh
- pl

Revision 1.3  2006/06/05 23:08:13  glen
- omit default attr
- adapter with working adapter.awk

Revision 1.2  2006/06/05 21:47:22  glen
- pyc are packaged
- disable scripts

Revision 1.1  2006/06/05 21:45:26  glen
- for anaconda
